# grdpaste

Join two grids along their common edge

## Synopsis

gmt grdpaste file_a.nc file_b.nc -G outfile.nc [ -S ] [ -V[level] ] [ -f flags ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

grdpaste will combine file_a.nc and file_b.nc into outfile.nc by pasting them together along their common edge. Files file_a.nc and file_b.nc must have the same grid spacings and registration, and must have one edge in common. If in doubt, check with grdinfo and use grdcut and/or grdsample if necessary to prepare the edge joint. Note: For geographical grids, you may have to use -f to handle periodic longitudes unless the input grids are properly recognized as such via their meta-data. For stitching multiple grids, see grdblend instead.

## Required Arguments

file_a.nc

  One of two files to be pasted together.

file_b.nc

  The other of two files to be pasted together.

-G outfile.nc

  The name for the combined output. (See Grid File Formats).

## Optional Arguments

-S

  Just prints a code number and a description of the sides at which the grids are pasted. No pasting actually happens. -G is ignored. This option is useful for externals that want to reimplement the grdpaste utility since it doesn’t work form them (e.g. Julia and GMTMEX).

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-f[i|o]colinfo (more …)

  Specify data types of input and/or output columns.

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

Note: Below are some examples of valid syntax for this module. The examples that use remote files (file names starting with `@`) can be cut and pasted into your terminal for testing. Other commands requiring input files are just dummy examples of the types of uses that are common but cannot be run verbatim as written.

Suppose file_a.nc is 150E - 180E and 0 - 30N, and file_b.nc is 150E - 180E, -30S - 0, then you can make outfile.nc which will be 150 - 180 and -30S - 30N by:

    gmt grdpaste file_a.nc file_b.nc -Goutfile.nc -V -fg

## See Also

gmt, grdblend, grdclip, grdcut, grdinfo, grdsample